commit: 87cc1d5779e25e0a7b1d2c7748d992492cd6215a
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 4 06:19:26 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Nov 4 06:19:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87cc1d57
dev-ruby/faraday: add 1.1.0
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/faraday/Manifest | 1 +
dev-ruby/faraday/faraday-1.1.0.ebuild | 81 +++++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/dev-ruby/faraday/Manifest b/dev-ruby/faraday/Manifest
index e2594ef65d2..910d7915d78 100644
--- a/dev-ruby/faraday/Manifest
+++ b/dev-ruby/faraday/Manifest
@@ -1,2 +1,3 @@
DIST faraday-0.17.3.tar.gz 76786 BLAKE2B
0706f4386233861564aa1ba5fb8da9ad374a0b553a3f6ccd4ce6509b690f6da3e9f695f90605e0e15b41b6354841943ecc4f5eb826638565687bf62b36f1f456
SHA512
346e93b5d980626a0c460d9010ca09091faf84a1a8f2717c16d345ddc51585ce45959d7fcf41fbd0ba248d38460939544945fa0e81bcb80ab73dfe080182e325
DIST faraday-1.0.1.tar.gz 835557 BLAKE2B
ea5c32f0a93bcc4c4a0a7c55d61578b4e9f0173caed484c0c6424201884b8e81304c0fe07e1c1d6ffdbff41be85bdb494904c2a3b3e19b6c89b58995d9fdbfe7
SHA512
6a2dfd751d013ddc7cb005e262b48120f9a6ae2bb50564082ed5c5e47cfe2b07ee91d7d1b6967813d39b9874c7d5c7daf65ac773dd7afdcae65ed38698b1f496
+DIST faraday-1.1.0.tar.gz 838062 BLAKE2B
6615992046fcd2dd77db8407f8f658f224f690ff36236182174f7aee89ef24ab7789f1711f97b691ac96a9137404362f62c8277e32a0970feca44441ce8da15a
SHA512
22f4cd68d409afbb3523713223325a516ec8aa79591b816f8510ab7d3b1e31acefcc2252e8fd23aa99b4a5592c1604c0cc28423f55f1633c331554e3405b11f4
diff --git a/dev-ruby/faraday/faraday-1.1.0.ebuild
b/dev-ruby/faraday/faraday-1.1.0.ebuild
new file mode 100644
index 00000000000..d745a606dfc
--- /dev/null
+++ b/dev-ruby/faraday/faraday-1.1.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP/REST API client library with pluggable components"
+HOMEPAGE="https://github.com/lostisland/faraday"
+SRC_URI="https://github.com/lostisland/faraday/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND+=" test? ( sys-process/lsof )"
+
+ruby_add_rdepend "
+ >=dev-ruby/multipart-post-1.2.0 <dev-ruby/multipart-post-3
+ dev-ruby/ruby2_keywords
+"
+ruby_add_bdepend "test? (
+ >=dev-ruby/test-unit-2.4
+ >=dev-ruby/connection_pool-2.2.2
+ dev-ruby/rack
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove bundler support.
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d ; 1irequire "yaml"' Rakefile || die
+ sed -i -e '/bundler/,/^fi/ s:^:#:' script/test || die
+ # Avoid loading all lib files since some of them require unpackaged
dependencies.
+ sed -e '/[Cc]overall/ s:^:#:' \
+ -e '/lib\/\*\*/ s:^:#:' \
+ -e '/simplecov/ s:^:#:' \
+ -e '/SimpleCov/,/end/ s:^:#:' \
+ -e '/pry/ s:^:#:' \
+ -i spec/spec_helper.rb || die
+
+ sed -i -e '/git ls-files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid multipart tests that require an unpackaged dependency
+ # that appears to be no longer maintained.
+ rm -f spec/faraday/request/multipart_spec.rb || die
+ sed -e '/multipart_parser/ s:^:#:' \
+ -i spec/support/helper_methods.rb || die
+
+ # Remove specs for unpackaged adapters
+ rm -f spec/faraday/adapter/{em_http,em_synchrony,excon}_spec.rb || die
+
+ # Make this adapter optional since it comes with a long list of
+ # dependencies.
+ if ! has_version "dev-ruby/typhoeus:1" ; then
+ rm -f spec/faraday/adapter/typhoeus_spec.rb || die
+ fi
+}
+
+each_ruby_prepare() {
+ # Make sure the test scripts use the right ruby interpreter
+ sed -i -e 's:ruby:'${RUBY}':' script/* || die
+}
+
+each_ruby_test() {
+ MT_NO_PLUGINS=true each_fakegem_test
+
+ # Sleep some time to allow the sinatra test server to die
+ einfo "Waiting for test server to stop"
+ sleep 10
+}